/* 
 * boom.c - aerodynamic computations for boom
 *
 * MvN 3/24/96.  
 *
 */

#include "aero.h"

/* Global variables */
LU_DATA *boom_table = NULL;

/* Initialize anything that needs initializing (nothing for now) */
int init_boom()
{
    /* computation of scale factor is now done in init_aero() */
}

/* 
 * Boom LDM. Drag is a positive value (see documentation.ps). 
 * Drag in wind frame for planar fan. Scaling has to be done in 
 * spatial axes. 
 */
int compute_boomLDM(double Vel, double *boomforces)
{
    int i;
    
    boomforces[LIFT] = 0.0;
    boomforces[DRAG] = 0.5*RHO*Vel*Vel*BOOM_Cd*2.0*BOOM_CEN_DIST*BOOM_DIA;
    boomforces[MOMENT] = 0.0;
    
    if(aero_verbose>0) {
	printf("\n + boomLDM:  ");
	for(i=0; i<3; i++) printf("%lf ", boomforces[i]);
	printf("\n");
    }  
    return 3;
}
